Remove unneeded options in GTK KCM
AcceptedPublic

Authored by gikari on Oct 17 2019, 6:39 PM.

Details

Summary

Since font, icons, cursor theme, toolbar style, icons in menus and buttons settings are now in sync with corresponding plasma settings, they shouldn't be in GTK KCM anymore.

Depends on D24743

BUG: 406740

BUG: 401008

BUG: 401123

FIXED-IN: 5.18.0

Test Plan

Check if nothing breaks in GTK KCM functionality, that is left.

Diff Detail

Repository
R99 KDE Gtk Configuration Tool
Branch
gtk-kcm-remove-unneeded-options
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18810
Build 18828: arc lint + arc unit
gikari created this revision.Oct 17 2019, 6:39 PM
Restricted Application added a project: Plasma. · View Herald TranscriptOct 17 2019, 6:39 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
gikari requested review of this revision.Oct 17 2019, 6:39 PM
gikari edited the summary of this revision. (Show Details)Oct 17 2019, 6:40 PM
gikari edited the test plan for this revision. (Show Details)
gikari added a reviewer: VDG.
GB_2 added a subscriber: GB_2.Oct 17 2019, 7:51 PM

Wow, it's so empty now! Great job!

GB_2 added a reviewer: Plasma.Oct 17 2019, 7:52 PM
GB_2 added a project: VDG.
filipf added a subscriber: filipf.Oct 17 2019, 8:26 PM

So much nicer, awesome work. +1 for the visuals of the rehauled kcm.

GB_2 added a comment.EditedOct 17 2019, 9:31 PM

So much nicer, awesome work. +1 for the visuals of the rehauled kcm.

Well, it'll be gone completely soon and the GTK theme comboboxes will be in the Application Style KCM.

Well, it'll be gone completely soon and the GTK theme comboboxes will be in the Application Style KCM.

Where would gtk theme installation buttons go?

GB_2 added a comment.Oct 18 2019, 7:42 AM

Well, it'll be gone completely soon and the GTK theme comboboxes will be in the Application Style KCM.

Where would gtk theme installation buttons go?

Could be for example a button next to the combobox or just the "Get New" button.

Ideally, we'd also sync SH_ScrollBar_LeftClickAbsolutePosition to GTK and drop the cursor to position radios

gikari updated this revision to Diff 68285.Oct 19 2019, 10:32 AM

Rebase on top of modified D24743

gikari updated this revision to Diff 68286.Oct 19 2019, 10:35 AM
  • Remove unneeded find_package of deprecated library

Ideally, we'd also sync SH_ScrollBar_LeftClickAbsolutePosition to GTK and drop the cursor to position radios

Yeah I'm working on exposing that for QWidgets apps in the General Behavior KCM.

gikari edited the summary of this revision. (Show Details)Wed, Oct 30, 8:33 AM
gikari edited the test plan for this revision. (Show Details)

Ideally, we'd also sync SH_ScrollBar_LeftClickAbsolutePosition to GTK and drop the cursor to position radios

Yeah I'm working on exposing that for QWidgets apps in the General Behavior KCM.

Is that configuration even needed? Most of non-qt and non-gtk apps are using default behavior - scroll to one "page" up or down. On gnome scroll behavior is the same by default (and I haven't found any way to configure it with dconf or gnome-tweaks, may be I'm missing something). Even more, there is a bug report, that this option does not work with Chromium-based browsers: https://bugs.kde.org/show_bug.cgi?id=411762. May be we should forget about that option, remove it from the view and always set it to "one page per click"?

GB_2 added a comment.Wed, Oct 30, 10:43 AM
This comment was removed by GB_2.

remove it from the view and always set it to "one page per click"?

Absolutely not.

"Absolutely not" is right. We can't remove this option entirely; that would be a big regression. If not all apps respect it, we need to fix those apps.

gikari edited the summary of this revision. (Show Details)Mon, Nov 4, 8:02 PM
GB_2 added a comment.EditedSun, Nov 10, 9:31 AM

Ok, then we should keep it in the GTK KCM until we have the option for Qt applications in the Application Style KCM.

gikari edited the summary of this revision. (Show Details)Tue, Nov 12, 10:02 PM

Can you rebase this?

gikari planned changes to this revision.Thu, Nov 14, 8:37 PM

Can you rebase this?

Sure

gikari updated this revision to Diff 69779.Fri, Nov 15, 4:53 AM

Rebase on new master

ngraham accepted this revision.Fri, Nov 15, 5:02 AM
ngraham added a subscriber: apol.

@apol, are you good with this?

This revision is now accepted and ready to land.Fri, Nov 15, 5:02 AM